package com.trade.service.contract.service.impl;

import com.trade.service.contract.dto.ContractSignCallBack;
import com.trade.service.contract.dto.ContractSignOutput;
import org.springframework.stereotype.Service;

import com.trade.service.contract.constant.ContractConstant;
import com.trade.service.contract.dto.ContractSignInput;
import com.trade.service.contract.service.SignPlatformService;

@Service(ContractConstant.CONTRACT_PLATFORM_SERVICE_NAME_FADADA)
public class FaDaDaContractServiceImpl implements SignPlatformService {

    @Override
    public ContractSignOutput signContract(ContractSignInput signInput) {
        System.out.println("法大大”电子合同签署");
        return null;
    }

    @Override
    public void handleCallback(ContractSignCallBack callback) {

    }
}
